Using Cabal for dependancies

Bjorn Bringert bringert at
Mon Jan 15 07:40:18 EST 2007

On Jan 14, 2007, at 18:53 , Neil Mitchell wrote:

> Hi,
> The Yhc compiler depends on an increasingly large number of Cabal
> packages - mtl and FilePath at the moment, but soon thats likely to
> increase by at least 3. Cabal is not yet mature enough to compile Yhc,
> and fitting in a compile of bits with Cabal will be quite hard because
> of the existing complexity in Scons.
> So what we'd really like to do is be able to call "cabal
> check-its-installed FilePath", which would return an appropriate exit
> code. If it wasn't installed then a darcs get, followed by a "cabal
> install-it-please" would be very handy.
> Does cabal-install provide the necessary bits for this? What is the
> result of installing a package that is already installed? How long til
> this kind of solution will be widely enough deployed that we can
> actually use it? Does anyone else have any other suggestions?

I think that cabal-install can do what you want already (except the  
darcs get, it downloads a tarball from Hackage instead). Give it a  
try and report any problems.


More information about the cabal-devel mailing list